import sqlite3
import os

def print_table(sql): 
 db.execute(sql) 
 all_rows = db.fetchall() 
 for row in all_rows: 
  for i in row: 
   print(i, end=" | \t") 
  print() 
print()

def create_database():
 if os.path.isfile("database.db"):
  os.remove("database.db") 

 conn = sqlite3.connect("database.db")  
 db = conn.cursor()

 db.execute("""CREATE TABLE transactions 
           (TransactionID INTEGER PRIMARY KEY,
           description TEXT,
           date TEXT,
           time TEXT,
           amount REAL,
           income_or_spending INTEGER,
           category TEXT)""")

 conn.commit()
 conn.close()

def pay_in():
 print("Enter transaction description")
 desc=input()

 print("Enter amount")
 amount=float(input())

 income_or_spending = 1

 conn = sqlite3.connect("database.db")  
 db = conn.cursor()

 db.execute("""INSERT INTO transactions(transactionID,description,
                              amount,income_or_spending) VALUES (NULL,?,?,?)""",(desc,amount,income_or_spending))

 conn.commit()
 conn.close()

def statement():
 
 conn = sqlite3.connect("database.db")  
 db = conn.cursor()

 print_table("""SELECT * FROM transaction""")
 
 conn.commit()
 conn.close()

def menu():

 while option !="6":
  print("1) Pay in") 
  print("2) Spend")
  print("3) Balance")
  print("4) Statement")
  print("5) Create database")
  print("6) Quit")

  option=input()

 if option=="1":
    pay_in()
 elif option=="2":
    pass
 elif option=="3":
    pass
 elif option=="4":
    statement()
 elif option=="5":
    create_database()



 
    






